# Source Code For NQ4T.com

Most of the content used to create nq4t.com is in this repository. The site is rendered in Jekyll every time a post/page/change is pushed to the repository. The complete theme
is also stored within this repository. Pages are written in a mix of markdown and/or HTML, depending on what suits me at the time. Some pages are entirely written in Liquid/Jekyll
and are just templates for rendering the site.

NQ4T.com is a static website. It is not rendered at load time. Some elements, such as the iframes on Logs, may be dynamically rendered.

## What's Not Here

Images and mirrored page content are not in this repository. They are added to the doucment-root after Jekyll renders the site. Additional media files are also not in this
repository. Shell scripts related to site development (post composition, page composition, testing) are also not here. 

## What's What & Where

- Repository Root
	- about.md: The About NQ4T.com Page
	- nq4t.md: The About NQ4T Page
	- station.md: The Station Page
	- mirrors.md: The Mirrors Page
	- log.md: The Log Page, mostly iframes
- /blog/_posts:
	- All the markup for posts.
- /pages/_posts:
	- All the markup for pages.
- /_layouts, /public, /_includes
	- Contains the Jekyll theme and CSS
